part of 'detail_stamp_cubit.dart';

abstract class DetailStampState extends Equatable {
  const DetailStampState();

  @override
  List<Object> get props => [];
}

class DetailStampInitial extends DetailStampState {}

class DetailStampLoading extends DetailStampState {}

class DetailStampFailure extends DetailStampState {
  final String errorMessage;

  DetailStampFailure(this.errorMessage);
}

class DetailStampSuccessful extends DetailStampState {
  final Stamp stamp;
  final StampTimeline timeline;
  DetailStampSuccessful(this.stamp, this.timeline);
}
